/*------------------------------------------------------------------------------
 src/lib/djImage/imageIoTga.cxx
 
 Copyright (c) 2004-2006 Darby Johnston.
 All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

//#define DJ_DBG
#include "djImageIoTga.h"

namespace dj {
namespace ImageIoTga {

void dbg(const Header & in)
{
  DJ_DBG_FNC("dj::ImageIoTga::Header");
  DJ_DBG_PRN("id size = " << in.idSize);
  DJ_DBG_PRN("cmap type = " << in.cmapType);
  DJ_DBG_PRN("image type = " << in.imageType);
  DJ_DBG_PRN("cmap start = " << in.cmapStart);
  DJ_DBG_PRN("cmap size = " << in.cmapSize);
  DJ_DBG_PRN("cmap depth = " << in.cmapDepth);
  DJ_DBG_PRN("position = " << in.x << " " << in.y);
  DJ_DBG_PRN("size = " << in.width << " " << in.height);
  DJ_DBG_PRN("pixel depth = " << in.pixelDepth);
  DJ_DBG_PRN("descriptor = " << in.descriptor);
}

}
}
